{

	//装甲值监听测试脚本

    "AbilityName" : "TestPlayer_Ability_Tianheng_32",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "OnAdded" :

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "Self"

            },

        ],

    },



    "AbilityMixins" :

    [

        {

            "$type": "MoleMole.ActionsOnPropertyChangeMixin",

            "PropertyActions":

            [

                {

                    "PropertyType": "CurrentArmor",

                    // "CustomPropertyType": "EnhanceNum",

                     "ReferMaxPropertyType": "MaxArmor",

                    // "CustomReferMaxPropertyType": "MaxEnhanceNum",

                    "IsUsePercentage": false,

                    "ValueRangeActions":

                    [

                        {

                            "Val": 0,

                            "HighToValueActions": 

                            [

                                {  

                                    "$type" : "MoleMole.FireEffect",

                                    "EffectPattern" : "Eff_Avatar_LevelUp_02",

                                    "Target" : "Self"

                                },

                                {

                                    "$type":"MoleMole.ApplyModifier",

                                    "ModifierName":"RecoverArmorModifier",

                                    "Target":"Self",

                                },

                            ],

                        },

                    ],

                },  

            ],  

        },

    ],



    "Modifiers" : 

    {

        "RecoverArmorModifier":

        {

            "ModifierStacking": "MultipleRefresh",

            "Duration": 5,

            "IgnoreTimeScale" : false,



            "OnRemoved" :

            [

                {

                    "$type": "MoleMole.ModifyProperty",

                    "Target" : "Self",

                    "PropertyType": "CurrentArmor", 

                    "PropertyModifyFunction": "Add", 

                    "Amount": 100,

                }

            ],

        },

    },

}